Package ghidra.app.util.datatype.microsoft

# Class DataApplyOptions

java.lang.Object
ghidra.app.util.datatype.microsoft.DataApplyOptions

public class DataApplyOptions extends Object
Holds options for the commands for creating new data structures.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataApplyOptions()`
  Creates an DataApplyOptions object with the default values.
  `DataApplyOptions(DataApplyOptions dataApplyOptions)`
  Copy constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setClearDefinedData(boolean clearDefinedData)`
  Sets whether or not to clear existing defined data in order to create new data.
  `void`
  `setClearInstructions(boolean clearInstructions)`
  Sets whether or not to clear existing instructions in order to create new data.
  `void`
  `setCreateBookmarks(boolean createBookmarks)`
  Sets whether or not to create bookmarks for problems encountered while trying to create an new structure or information associated with it.
  `void`
  `setCreateComments(boolean createComments)`
  Sets whether or not to create comments for problems encountered while trying to create a new structure or information associated with it.
  `void`
  `setCreateFunction(boolean createFunction)`
  Sets whether or not to disassemble and create a function that is referred to by the current new structure.
  `void`
  `setCreateLabel(boolean createLabel)`
  Sets whether or not to create labels for follow on data or a function that is referred to by the current new structure.
  `void`
  `setFollowData(boolean followData)`
  Sets whether or not to create follow on data that is referred to by the new structure.
  `boolean`
  `shouldClearDefinedData()`
  An option indicating whether or not to clear existing defined data in order to create new data.
  `boolean`
  `shouldClearInstructions()`
  An option indicating whether or not to clear existing instructions in order to create new data.
  `boolean`
  `shouldCreateBookmarks()`
  An option indicating whether or not to create bookmarks indicating any problems that occurred while creating the current structure or information associated with it.
  `boolean`
  `shouldCreateComments()`
  An option indicating whether or not to create comments indicating any problems that occurred while creating the data or information associated with it.
  `boolean`
  `shouldCreateFunction()`
  An option indicating whether or not to disassemble and create a function that is referred to by your current structure.
  `boolean`
  `shouldCreateLabel()`
  An option indicating whether or not to create a label for the new data or for a referred to data or function.
  `boolean`
  `shouldFollowData()`
  An option indicating whether or not to create data that is referred to by the data structure.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataApplyOptions

    public DataApplyOptions()
    Creates an DataApplyOptions object with the default values.

  - ### DataApplyOptions

    public DataApplyOptions(DataApplyOptions dataApplyOptions)
    Copy constructor
    Parameters:
      `dataApplyOptions` - the data apply options to copy

- ## Method Details

  - ### shouldFollowData

    public boolean shouldFollowData()
    An option indicating whether or not to create data that is referred to by the data structure.
    Default is true.
    Returns:
      true if structures should be created for referred to data.

  - ### setFollowData

    public void setFollowData(boolean followData)
    Sets whether or not to create follow on data that is referred to by the new structure.
    Parameters:
      `followData` - true indicates follow on data should be created.

  - ### shouldClearInstructions

    public boolean shouldClearInstructions()
    An option indicating whether or not to clear existing instructions in order to create new data.
    Default is false.
    Returns:
      true if existing instructions should be cleared to create the new data.

  - ### setClearInstructions

    public void setClearInstructions(boolean clearInstructions)
    Sets whether or not to clear existing instructions in order to create new data.
    Parameters:
      `clearInstructions` - true indicates existing instructions should be cleared to create the new data.

  - ### shouldClearDefinedData

    public boolean shouldClearDefinedData()
    An option indicating whether or not to clear existing defined data in order to create new data.
    Default is false.
    Returns:
      true if existing defined data should be cleared to create the new data.

  - ### setClearDefinedData

    public void setClearDefinedData(boolean clearDefinedData)
    Sets whether or not to clear existing defined data in order to create new data.
    Parameters:
      `clearDefinedData` - true indicates existing defined data should be cleared to create the new data.

  - ### shouldCreateLabel

    public boolean shouldCreateLabel()
    An option indicating whether or not to create a label for the new data or for a referred to data or function.
    Default is true.
    Returns:
      true if a label should be created for this data or for referred to structures and functions.

  - ### setCreateLabel

    public void setCreateLabel(boolean createLabel)
    Sets whether or not to create labels for follow on data or a function that is referred to by the current new structure.
    Parameters:
      `createLabel` - true indicates a label should be created.

  - ### shouldCreateFunction

    public boolean shouldCreateFunction()
    An option indicating whether or not to disassemble and create a function that is referred to by your current structure.
    Default is true.
    Returns:
      true if referred to functions should be created.

  - ### setCreateFunction

    public void setCreateFunction(boolean createFunction)
    Sets whether or not to disassemble and create a function that is referred to by the current new structure.
    Parameters:
      `createFunction` - true indicates a function should be created.

  - ### shouldCreateBookmarks

    public boolean shouldCreateBookmarks()
    An option indicating whether or not to create bookmarks indicating any problems that occurred while creating the current structure or information associated with it.
    Default is true.
    Returns:
      true if error bookmarks should be created.

  - ### setCreateBookmarks

    public void setCreateBookmarks(boolean createBookmarks)
    Sets whether or not to create bookmarks for problems encountered while trying to create an new structure or information associated with it.
    Parameters:
      `createBookmarks` - true indicates error bookmarks should be created.

  - ### shouldCreateComments

    public boolean shouldCreateComments()
    An option indicating whether or not to create comments indicating any problems that occurred while creating the data or information associated with it.
    Default is true.
    Returns:
      true if error comments should be created.

  - ### setCreateComments

    public void setCreateComments(boolean createComments)
    Sets whether or not to create comments for problems encountered while trying to create a new structure or information associated with it.
    Parameters:
      `createComments` - true indicates comments for the data should be created.